<h1 mat-dialog-title>{{'sports.form.title_create' | translate}}</h1>

<button mat-dialog-close class="close-button" mat-icon-button tabindex="-1">
  <mat-icon>close</mat-icon>
</button>

<form mat-dialog-content [formGroup]="sportForm" (ngSubmit)="submit()" (keydown.enter)="submit()">
  <mat-form-field class="full-width">
    <mat-label>{{'sports.form.input_name' | translate}}</mat-label>
    <input matInput type="text" formControlName="name" minlength="2">
  </mat-form-field>

  <mat-form-field class="full-width">
    <mat-chip-list>
      <div *ngFor="let activity of activities$ | async as activities">
        <mat-chip *ngIf="selectedActivitiesIds.includes(activity.id)" color="primary" selected removable (removed)="removeActivity(activity)">
          {{activity.name}}
          <mat-icon matChipRemove>cancel</mat-icon>
        </mat-chip>

        <mat-chip *ngIf="!selectedActivitiesIds.includes(activity.id)" (click)="addActivity(activity)">
          {{activity.name}}
        </mat-chip>
      </div>
    </mat-chip-list>
  </mat-form-field>

  <mat-form-field class="full-width">
    <mat-label>{{'sports.form.image_input_placeholder' | translate: {size: megaBytesMaxSize} }}</mat-label>
    <ngx-mat-file-input #imageInput formControlName="image" accept="image/*"></ngx-mat-file-input>
    <mat-icon *ngIf="imageInput.empty" matSuffix>cloud_upload</mat-icon>
    <button mat-icon-button matSuffix *ngIf="!imageInput.empty" (click)="imageInput.clear($event)">
      <mat-icon>clear</mat-icon>
    </button>
  </mat-form-field>

  <app-image-preview [image]="imageInput.value && imageInput.value.files[0]"></app-image-preview>
</form>

<mat-dialog-actions>
  <button mat-button mat-dialog-close>{{ 'app.cancel' | translate }}</button>
  <button mat-raised-button type="submit" [disabled]="!sportForm.valid" (click)="submit()" color="primary">{{ 'sports.form.submit_create' | translate }}</button>
</mat-dialog-actions>
